#!/bin/sh
# 
# Usage: ./rsync.sh [RELEASEARCHIVE] [LEVEL3DIR]
# Sync files from RELEASEARCHIVE to LEVEL3DIR
# A RELEASEARCHIVE location must be specified and should point
# to the directory in the release archive that corresponds the 
# current version. The default value is taken from the ReleaseArchive
# item in BASE.
# The current directory is the default LEVEL3DIR directory
# 

<<RELEASEINFO>>

set -e

RELEASEARCHIVE=${1-<<DEFAULTRELEASEARCHIVE>>}
LEVEL3DIR=${2-.}

RSYNCOPTIONS="<<RSYNCOPTIONS>>"
NUMFILES=<<NUMFILES>>
NSYNCED=0

echo "Syncing ${NUMFILES} files from '${RELEASEARCHIVE}' to '${LEVEL3DIR}'"

# Syncs a single file from PROJECTARCHIVE to RELEASEPATH
# $1 = The source file
# $2 = The destination file
function syncFile {
	NSYNCED=$(( ${NSYNCED} + 1 ))
	echo "[${NSYNCED}/${NUMFILES}] ${LEVEL3DIR}$2"
	rsync ${RSYNCOPTIONS} ${RELEASEARCHIVE}$1 ${LEVEL3DIR}$2
}

<<SCRIPT>>

echo Done: ${NSYNCED} files have been synced
